package samsung_hbb_next_im.samsung_im2;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.os.Bundle;
import android.os.StrictMode;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class SetUserActivity extends Activity {
	
	EditText inputUsername;
	
	public static String server_ip = "147.175.158.249";
	public static String server_port = "5555";

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.set_user_screen);  
        
        StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
        StrictMode.setThreadPolicy(policy);  
        
		userLogIn();			      
    }
    
    private void userLogIn(){
    	Button btnConfirmUser = (Button) findViewById(R.id.confirmUser);
    	btnConfirmUser.setOnClickListener(new View.OnClickListener() {
    		public void onClick(View arg0) {
    			
    			String cele;
        		StringBuilder builder = new StringBuilder();
    			
    			inputUsername = (EditText) findViewById(R.id.setUsername);
				String userName = inputUsername.getText().toString();
				
       		    HttpClient client = new DefaultHttpClient();
       		    HttpGet httpGet = new HttpGet("http://"+ server_ip +":" + server_port + "/SrvcM/sign?in="+ userName);
       		    
       		    try {
       		      HttpResponse response = client.execute(httpGet);
       		      StatusLine statusLine = response.getStatusLine();
       		      int statusCode = statusLine.getStatusCode();       		      
       		      if (statusCode == 200) {
       		    	HttpEntity entity = response.getEntity();
       		    	InputStream content = entity.getContent();
       		        BufferedReader reader = new BufferedReader(new InputStreamReader(content));
       		        String line;
       		        while ((line = reader.readLine()) != null) {
       		          builder.append(line);
       		        }
       		        cele = builder.toString();
       		        System.out.println("Log in  = "+ cele);
       		        
       		        JSONArray jsonArray = new JSONArray(cele);	       		     
	       		    JSONObject jsonObject = jsonArray.getJSONObject(0);
       		        if(jsonObject.has("error"))
       		        {
       		        	TextView textError = (TextView) findViewById(R.id.textError);
       		        	
       		        	textError.setText(jsonObject.getString("error"));
       		        	inputUsername.setText("");
       		        } else {
       		        	Intent loggedUserScreen = new Intent(getApplicationContext(), LoggedUserActivity.class);       		        	
       		        	loggedUserScreen.putExtra("userName", userName);
       		        	
       		        	startActivity(loggedUserScreen);
       		        }
       		      } else {
       		        Log.e(SetUserActivity.class.toString(), "Failed to download file");
       		      }
       		    } catch (ClientProtocolException e) {
       		      e.printStackTrace();
       		    } catch (IOException e) {
       		      e.printStackTrace();
       		    } catch (JSONException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}       	
    		}
    	});    				   
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }   
    
}

